%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-techilla
Version:        4.4.4.4
Release:        2%{?dist}
Summary:        Bugzilla XMLRPC client 
License:        GPLv2
Group:          Applications/System
URL:            http://www.redhat.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       python-pycurl
BuildRequires:  python-devel, python-setuptools
Provides:       stsclient
Obsoletes:      stsclient


%description
Techilla is an XMLRPC client for Red Hat Bugzilla. It is a replacement for
python-bugzilla module.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/%{_bindir}/upload2bz.py $RPM_BUILD_ROOT/%{_bindir}/upload2bz
chmod og=rx $RPM_BUILD_ROOT/%{_bindir}/upload2bz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README MANIFEST.in 
%{python_sitelib}/bz_xmlrpc/*.py*
%{python_sitelib}/python_techilla*egg-info
%{_bindir}/upload2bz
%config(noreplace) %{_sysconfdir}/techilla/techilla.conf

%changelog
* Mon Dec 1 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4.4-2
- Provides and Obsoletes stsclient

* Mon Nov 24 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4.4-1
- Added "5.11", "6.6", "7.1" to BUGZILLA_VERSIONS in upload2bz.py
- Version bump upload2bz.py to 0.4

* Wed Jun 4 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4.3-1
- Fixed bug in upload2bz.py
- Version bump upload2bz.py to 0.3

* Tue Jun 3 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4.2-1
- Fixed typo in upload2bz.py

* Mon Jun 2 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4.1-1
- upload2bz script added.
- Bumped version to 4.4.4.1

* Fri May 9 2014 Shreyank Gupta <sgupta@redhat.com> - 4.4.4-1
- BZ#1091884: Allow for token based authentication

* Mon Nov 25 2013 Shreyank Gupta <sgupta@redhat.com> - 4.4.3-1
- Fixed bug in curl transport layer.
- Bumped version to 4.4.3

* Wed Oct 16 2013 Shreyank Gupta <sgupta@redhat.com> - 4.4.2-1
- Moving to curl Transport
- Added pycurl as dependency

* Tue May 21 2013 Shreyank Gupta <sgupta@redhat.com> - 4.4.1-1
- Fix attachment encode issue. Guess Mimetype.

* Mon Apr 22 2013 Shreyank Gupta <sgupta@redhat.com> - 4.4-1
- Initial release.
